aboutsummaryrefslogtreecommitdiffstats
path: root/testing/perl-timedate/APKBUILD
diff options
context:
space:
mode:
authorFrancesco Colista <francesco.colista@gmail.com>2012-10-27 17:01:22 +0000
committerFrancesco Colista <francesco.colista@gmail.com>2012-10-27 17:01:22 +0000
commit1e28694967fccf09d789f906a70950fb59cfc3ad (patch)
tree4265664b5ce1931b640d4c6d72f206b5fd1280aa /testing/perl-timedate/APKBUILD
parentfdd9da4afe712cd0805c6b2dd297d97451ace589 (diff)
downloadaports-1e28694967fccf09d789f906a70950fb59cfc3ad.tar.gz
aports-1e28694967fccf09d789f906a70950fb59cfc3ad.tar.bz2
aports-1e28694967fccf09d789f906a70950fb59cfc3ad.tar.xz
testing/perl-timedate: new aport
Diffstat (limited to 'testing/perl-timedate/APKBUILD')
-rw-r--r--testing/perl-timedate/APKBUILD39
1 files changed, 39 insertions, 0 deletions
diff --git a/testing/perl-timedate/APKBUILD b/testing/perl-timedate/APKBUILD
new file mode 100644
index 0000000000..04e361c125
--- /dev/null
+++ b/testing/perl-timedate/APKBUILD
@@ -0,0 +1,39 @@
+# Automatically generated by apkbuild-cpan, template 1
+# Contributor: Francesco Colista <francesco.colista@gmail.com>
+# Maintainer: Francesco Colista <francesco.colista@gmail.com>
+pkgname=perl-timedate
+_pkgreal=TimeDate
+pkgver=1.20
+pkgrel=0
+pkgdesc="unknown"
+url="http://search.cpan.org/dist/TimeDate/"
+arch="noarch"
+license="GPL PerlArtistic"
+cpandepends=""
+cpanmakedepends=" "
+depends="$cpandepends"
+makedepends="perl-dev $cpanmakedepends"
+subpackages="$pkgname-doc"
+source="http://search.cpan.org/CPAN/authors/id/G/GB/GBARR/$_pkgreal-$pkgver.tar.gz"
+
+_builddir="$srcdir/$_pkgreal-$pkgver"
+
+prepare() {
+ cd "$_builddir"
+ export CFLAGS=`perl -MConfig -E 'say $Config{ccflags}'`
+ PERL_MM_USE_DEFAULT=1 perl Makefile.PL INSTALLDIRS=vendor
+}
+
+build() {
+ cd "$_builddir"
+ export CFLAGS=`perl -MConfig -E 'say $Config{ccflags}'`
+ make && make test
+}
+
+package() {
+ cd "$_builddir"
+ make DESTDIR="$pkgdir" install || return 1
+ find "$pkgdir" \( -name perllocal.pod -o -name .packlist \) -delete
+}
+
+md5sums="7da7452bce4c684e4238e6d09b390200 TimeDate-1.20.tar.gz"